Summary: /dev entries
Name: dev
Version: 2.5.4
Release: 1
Source: dev-%{PACKAGE_VERSION}.cpio
Copyright: public domain
Group: Base
BuildRoot: /var/tmp/dev
Autoreqprov: no
Prefix: /dev
# Note: this package really pre-requires shadow-utils >= 970616-7, but
# RPM does not currently handle that situation.
Requires: shadow-utils >= 970616-7
Prereq: shadow-utils

%description
Unix and unix like systems (including Linux) use file system entries
to represent devices attached to the machine. All of these entries
are in the /dev tree (though they don't have to be), and this package
contains the most commonly used /dev entries. These files are essential
for a system to function properly.

%changelog

* Mon Nov 10 1997 Michael K. Johnson <johnsonm@redhat.com>

- Added more ramdisk entries

* Wed Oct 29 1997 Michael K. Johnson <johnsonm@redhat.com>

- Added fd and ramdisk symlinks

* Fri Oct 24 1997 Michael K. Johnson <johnsonm@redhat.com>

- Added floppy group for floppies; made them group-writable.

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>

- added bpcd device

* Thu Apr 10 1997 Erik Troan <ewt@redhat.com>

- Added ftape devices

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>

- Fixed stdin, stdout devices.
- Moved rtc to cpio archive
- Added ISDN devices

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT
# Make sure that the floppy group exists on the build machine
/usr/sbin/groupadd -g 19 -r -f floppy
cpio -ivumd < $RPM_SOURCE_DIR/dev-%{PACKAGE_VERSION}.cpio

%ifarch sparc
# SPARC specific devices
ln -s sunmouse dev/mouse
mknod dev/fb0 c 29 0
mknod dev/fb1 c 29 32
mknod dev/kbd c 11 0
mknod dev/openprom c 10 139
ln -s fb0 dev/fb
chmod 666 dev/fb*

# remove devices that will *never* exist on a SPARC
rm -f dev/hd* dev/aztcd dev/mcd dev/sbpcd1 dev/cdu31a dev/sbpcd2 dev/scd3
rm -f dev/sjcd dev/cdu535 dev/sbpcd3 dev/sonycd dev/cm206cd dev/sbpcd
rm -f dev/gscd dev/sbpcd0 dev/atibm dev/inportbm dev/logibm dev/psaux

%endif

chmod 660 dev/lp*
chgrp daemon dev/lp*

for I in 9 10 11 12; do
	mknod dev/tty$I c 4 $I
	chown root:tty dev/tty$I
	chmod 600 dev/tty$I
done

cd dev

chgrp floppy fd?*

ln -s ram0 ramdisk
ln -s ../proc/self/fd fd

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 19 -r -f floppy

%files
/dev/*
